Skip to main content
GET
/
inbound-shipments
Inbound shipments
curl --request GET \
  --url https://{companyName}.api.joinluminous.com/external/api/v1/inbound-shipments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "source": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "reconciled_at": "2023-11-07T05:31:56Z",
      "arrival_date": "2023-11-07T05:31:56Z",
      "location_id": 123,
      "from_warehouse_id": 123,
      "purchase_order_id": 123,
      "purchase_order_shipment_id": 123,
      "transfer_order_id": 123,
      "app_integration_account_id": 123,
      "external_shipment_id": "<string>",
      "external_warehouse_customer_id": "<string>",
      "external_po_number": "<string>",
      "external_po_number_canonical": "<string>",
      "external_status": "<string>",
      "external_raw_status": "<string>",
      "external_supplier_name": "<string>",
      "external_expected_arrival_date": "2023-11-07T05:31:56Z",
      "external_warehouse_id": "<string>",
      "external_tracking_numbers": [
        "<unknown>"
      ],
      "external_date_created": "2023-11-07T05:31:56Z",
      "external_date_updated": "2023-11-07T05:31:56Z",
      "external_ship_from_address": {
        "street1": "<string>",
        "street2": "<string>",
        "street3": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postal_code": "<string>",
        "country": "<string>"
      },
      "total_expected_quantity": 123,
      "total_received_quantity": 123,
      "total_unit_cost": 123,
      "external_notes": [
        "<unknown>"
      ],
      "external_system_url": "<string>",
      "items": [
        {
          "id": 123,
          "external_item_id": "<string>",
          "external_id": "<string>",
          "external_sku": "<string>",
          "expected_quantity": 123,
          "received_quantity": 123,
          "unit_cost": 123,
          "purchase_order_shipment_item_id": 123,
          "rfq_id": 123
        }
      ],
      "location": {
        "id": 123,
        "status": "<string>",
        "name": "<string>",
        "parent_id": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "from_location": {
        "id": 123,
        "status": "<string>",
        "name": "<string>",
        "parent_id": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "purchase_order": {
        "id": 123,
        "order_numbers": [
          "<string>"
        ],
        "order_status": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "transfer_order": {
        "id": 123,
        "number": "<string>",
        "status": "<string>"
      },
      "purchase_order_shipment": {
        "id": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "reference_number": "<string>",
        "total_shipping_cost": 123,
        "shipping_date": "2023-11-07T05:31:56Z",
        "warehouse_id": 123,
        "shipment_status_id": 123,
        "sync_status": "<string>",
        "last_synced_at": "2023-11-07T05:31:56Z",
        "last_synced_status": "<unknown>",
        "shipment_status": {
          "id": 123,
          "name": "<string>"
        },
        "warehouse": {
          "id": 123,
          "status": "<string>",
          "name": "<string>",
          "parent_id": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        },
        "shipment_items": [
          {
            "id": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z",
            "supplier_purchase_order_shipment_id": 123,
            "supplier_purchase_order_id": 123,
            "supplier_purchase_order_item_id": 123,
            "quantity": 123,
            "unit_of_measure_id": 123
          }
        ],
        "shipment_extra_costs": [
          {
            "id": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z",
            "supplier_purchase_order_shipment_id": 123,
            "name": "<string>",
            "quantity": 123,
            "unit_price": 123,
            "line_total": 123,
            "cost_allocation_type": "<string>"
          }
        ]
      }
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 5,
    "per_page": 10,
    "to": 10,
    "total": 50
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.joinluminous.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.

Query Parameters

page
integer
default:1

Page number for pagination

per_page
integer
default:10

Number of items per page (max 100)

Required range: x <= 100
updated_at
string<date-time>

Filter by last update date (YYYY-MM-DD HH:mm:ss)

created_at
string<date-time>

Filter by creation date (YYYY-MM-DD HH:mm:ss)

arrival_date
string<date-time>

Filter by arrival date

external_status
string

Filter by normalized external status

external_shipment_id
string

Filter by external shipment ID

purchase_order_id
integer

Filter by linked purchase order ID

source
string

Filter by integration source

location_id
integer

Filter by destination location ID

Response

Successful response

data
object[]
meta
object